div>label {
  color: rgb(180, 180, 180);
}

/*user settings button css*/

/*this css part sets position of user settings side button*/
#user_change_property_wrapper {
  position: fixed;
  right: 5vh;
  top: 2.5vh;
}

/*design of user change button*/
#user_change {
  background: rgba(82, 30, 99, 0.9);
  border: none;
}

/*new ad button css*/

/*position of new ad side button*/
#new_ad_wrapper {
  position: fixed;
  right: 5vh;
  top: 9.5vh;
}

/*design of new ad button*/
#new_ad {
  background: rgba(82, 30, 99, 0.9);
  border: none;
}

/*set left margin of each pop-up dialog window*/
:host ::ng-deep .dialog>div:first-of-type>div {
  margin-left: 2vw;
}

/*second child of dialog window is header title*/
:host ::ng-deep .dialog>div:first-of-type>div:nth-child(2) {
  right: 5%;
}

div>img {
  width: 100%;
  height: auto;
}

/*my ads button*/

/*position of my ads side button*/
#my_ads_wrapper {
  position: fixed;
  right: 5vh;
  top: 16.5vh;
}

/*design of my ads button*/
#my_ads {
  background: rgba(82, 30, 99, 0.9);
  border: none;
}

/*Logout*/

/*position of logout side button*/
#logout_wrapper {
  position: fixed;
  right: 5vh;
  top: 23.5vh;
}

/*design of logout button*/
#logout {
  background: rgba(82, 30, 99, 0.9);
  border: none;
}

/*resize all side buttons to 1.5 form its initial size*/
.side_wrapper {
  transform: scale(1.5, 1.5);
}

/*change size of side buttons on hover to make animation*/
.side_wrapper :hover {
  transform: scale(0.75, 0.75);
}

/*change opacity on button click to make animation*/
.side_wrapper :active {
  opacity: 0.8;
}

/*set pop-up dialogs containers properties*/
:host ::ng-deep .purple-dialog>div {
  background: rgba(82, 30, 99, 0.9);
  color: white;
  height: auto;
}

:host ::ng-deep .silver-dialog>div {
  background: rgba(150, 150, 150, 0.9);
  color: white;
  height: auto;
}

/*set all divs inside pop-up dialogs properties*/
:host ::ng-deep .dialog>div {
  background: rgba(82, 30, 99, 0.9);
  color: white;
}

/*general window settings*/

/*Middle part of the screen contains two windows(filter and main). Each of them has some same properties*/
.window {
  display: flex;
  align-items: center;
  width: 70vw;
  left: 15vw;
  background: rgba(150, 150, 150, 0.7);
}

/*filter window settings*/

/*filter window has some additional properties, and flex direction from left to right*/
#filter-window {
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  position: absolute;
  top: 2vh;
  height: 6vh;
}

/*we set distances between each component in filter window here*/
#filter-window>div {
  /*margin-left: 1vh;*/
  margin-right: 2vh;
}

/*middle part of filter window is container that stores filter tags. Here we set its properties*/
#tag_container {
  display: flex;
  flex-direction: row;
  width: 62vw;
}

/*each tag in tag container has space around it provided with left margin property*/
#tag_container>div {
  margin-left: 1vh;
}

/*design of tag divs*/
:host ::ng-deep .tag-cls {
  background: rgba(82, 30, 99, 0.9);
}

/*chosen cars sidebar*/

/*button match distance from table*/
#match-wrapper {
  margin-top: 3vh;
}

/*sidebar container that stores chosen cars, has flex direction top-bottom*/
#chosen_car_container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/*distance between each picture in sidebar*/
#chosen_car_container>div {
  margin-top: 2vh;
}

/*set properties for container that contains image of chosen car*/
#chosen_car_image {
  display: flex;
  margin-left: 5%;
  width: 80%;
}

#chosen_car-img {
  width: 100%;
}

/*main window is middle part of screen where we show cars from our database. It contains carousel component and
  position of carousel has been set here.*/
#main-window {
  flex-direction: column;
  position: absolute;
  top: 10vh;
  height: 90vh;
}

/*sort sidebar*/

/*right sidebar properties*/
:host ::ng-deep .sort_sidebar {
  background: rgba(82, 30, 99, 0.9);
  height: 100vh;
}

/*sort image container properties*/
#sort_image {
  display: flex;
  margin-left: 20%;
  width: 40%;
}

#sort-img {
  width: 100%;
}

/*submit button design*/
:host ::ng-deep .submit {
  background: white;
  color: rgba(82, 30, 99, 0.9);
  border-width: 2px;
  border-color: white;
}

/*position of sidebar submit button*/
#sort_submit_wrapper {
  display: flex;
  margin-top: 15%;
  margin-left: 20%;
}

/*filter sidebar*/

/*set properties of each button in sidebar*/
:host ::ng-deep .button {
  background: rgba(82, 30, 99, 0.9);
  border-color: white;
  width: 10vw;
  left: 1vh;
  height: 5vh;
}

/*make animation for buttons in sidebar*/
:host ::ng-deep .button:hover {
  background: rgba(82, 30, 99, 0.9);
}

/*global properties for all containers*/
.container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  height: 100%;
}

.container>div {
  margin-top: 2%;
  margin-left: 7%;
}

/*sidebar properties*/
:host ::ng-deep .sidebar {
  background: rgba(82, 30, 99, 0.9);
  overflow-y: auto;
  overflow-x: hidden;
  max-height: 100vh;
}

/*sidebar items*/

/*global*/

/*set dropdown components design*/
:host ::ng-deep .dropdown {
  width: 100%;
  background: white;
  color: white;
}

.dropdown_container>div {
  margin-top: 6%;
  width: 70%;
}

/*specific*/

/*size of header image*/
#filter_image {
  width: 40%;
}

#filter-img {
  width: 100%;
}

/*slider properties*/
:host ::ng-deep .age_slider {
  background: white;
  color: rgba(82, 30, 99, 0.9);
  width: 100%;
}

/*position of age slider*/
#age_slider_wrapper {
  margin-top: 5%;
  width: 67%;
}

#age-label {
  color: white;
  padding-top: 5%;
}

/*position of car power slider*/
#car_power_wrapper {
  color: white;
  padding-top: 5%;
  margin-top: 3vh;
}

#displacement-label {
  color: white;
  padding-top: 5%;
}

/*position of price slider*/
#price_slider_wrapper {
  margin-top: 5%;
  width: 67%;
}

#price-label {
  color: white;
  padding-top: 5%;
}


/*confirm button properties*/
.p-button {
  transform: scale(0.8, 0.8);
  border-color: white;
  border-width: 2px;
  float: left;
  height: 90%;
}

/*position of filter submit button*/
#filter_submit_wrapper {
  display: flex;
  margin-left: 20%;
  margin-top: 2vh;
}

/*carousel css*/

/*set properties of carousel component(just for main part)*/
:host ::ng-deep .ads {
  display: flex;
  align-items: center;
  color: white;
  width: 60vw;
  margin-top: 0;
  padding-top: 0;
}

/*header, items and footer*/

:host ::ng-deep .ads>div {
  margin-top: 1vh;
}

/*picture item*/

#picture {
  width: 100%;
}

#picture2 {
  width: 100%;
}

#ad-wrapper2 {
  display: flex;
  justify-content: space-around;
}

/*set size of main part of carousel component*/
:host ::ng-deep .ads>div.p-carousel-content>div>div {
  width: 50vw;
}

/*content container that contains picture, and navigation buttons*/
:host ::ng-deep .ads>.p-carousel-content {
  display: flex;
  justify-content: space-around;
  height: 70vh;
}

:host ::ng-deep .p-carousel-content {
  overflow-y: hidden;
}

/*right button*/

:host ::ng-deep .ads>div.p-carousel-content>div>button.p-ripple.p-carousel-next.p-link {
  background: rgba(82, 30, 99, 0.9);
  color: white;
}

:host ::ng-deep .ads>div.p-carousel-content>div>button.p-ripple.p-carousel-next.p-link:hover {
  transform: scale(0.9, 0.9);
}

/*left arrow button*/
:host ::ng-deep .ads>div.p-carousel-content>div>button.p-ripple.p-carousel-prev.p-link {
  background: rgba(82, 30, 99, 0.9);
  color: white;
}

:host ::ng-deep .ads>div.p-carousel-content>div>button.p-ripple.p-carousel-prev.p-link:hover {
  transform: scale(0.9, 0.9);
}

/*if we work with smart search we cant go back on previous car*/
::ng-deep .carousel-control-prev {
  display: none !important;
}

/*color of footer part of carousel*/
:host ::ng-deep .ads>div.p-carousel-content>ul>li>button {
  background: rgba(82, 30, 99, 0.9);
}
/*color of footer part of carousel(active part)*/
:host ::ng-deep .ads>div.p-carousel-content>ul>li.ng-star-inserted.p-carousel-indicator.p-highlight>button {
  background: white;
}
/*text in carousel box header*/
h1 {
  font: xx-large bolder;
  color: rgba(82, 30, 99, 0.9);
}

/*if we work on smart search we dont need footer navigation*/
:host ::ng-deep .p-carousel-content>ul>li>button {
  display: none !important;
}

:host ::ng-deep .select-hide .p-carousel-prev {
  display: none !important;
}

/*properties of pictures in carousel component*/
.picture_wrapper {
  margin-top: 5vh;
  display: flex;
  justify-content: center;
  height: 100%;
  width: 95%;
}

/*description properties*/
#car-description {
  margin-top: 1vh;
  border-top: rgba(82, 30, 99, 0.9) 2px;
  color: rgba(82, 30, 99, 0.9);
}

/*table*/

.table_attributes {
  width: 100%;
}

/*table wrapper properties*/
.table_attributes {
  margin-top: 1vh;
  display: flex;
  justify-content: center;
  border-top-left-radius: 50%;
  border-top-right-radius: 50%;
}

.tg {
  border-collapse: collapse;
  border-spacing: 0;
  border-bottom:1px solid #521e63;
  border-left:1px solid #521e63;
  border-right:1px solid #521e63;
}

/*table cell properties*/
.tg td {
  font-size: 14px;
  overflow: hidden;
  padding: 10px 5px;
  word-break: normal;
}

/*table header cell properties*/
.tg th {
  cursor: pointer;
  font-family: Arial, sans-serif;
  font-size: 14px;
  font-weight: normal;
  overflow: hidden;
  padding: 10px 5px;
  word-break: normal;

}
.tg th:hover{
  opacity:0.8;
}

/*white cells*/
.tg .tg-dk6e {
  color: #ffffff;
  text-align: center;
  vertical-align: top
}

/*purple cells*/
.tg .tg-licd {
  background-color: #521e63;
  color: #ffffff;
  text-align: center;
  vertical-align: top;
  border:none;
  cursor: pointer;
}
.tg .tg-licd:hover{
  opacity:0.8;
}

/*size of pop-up car info dialog*/
:host ::ng-deep .dialog-car-info {
  width: 70vw;
}

/*table in car dialog pop-up properties*/
.tg .tg-dk6e3 {
  color: #ffffff;
  text-align: center;
  vertical-align: top;
  background: rgba(150, 150, 150, 0.7);
}

.tg .tg-licd3 {
  background: #521e63;;
  color: #ffffff;
  text-align: center;
  vertical-align: top;
  border:none;
  cursor: pointer;
}
.tg .tg-licd3:hover{
  opacity:0.8;
}

.tg .tg-dk6e3 {
  color: #ffffff;
  /* font-weight: bold; */
  text-align: center;
  vertical-align: top
}

.tg .tg-licd3 {
  background-color: #ffffff;
  color: #521e63;
  font-weight: bold;
  text-align: center;
  vertical-align: top
}